<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getVesselSummaryXMLString StructType
 * @subpackage Structs
 */
class GetVesselSummaryXMLString extends AbstractStructBase
{
    /**
     * The VesselID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $VesselID;
    /**
     * The VesselName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $VesselName;
    /**
     * The CallSign
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CallSign;
    /**
     * The VIN
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $VIN;
    /**
     * The HIN
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $HIN;
    /**
     * The Flag
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Flag;
    /**
     * The Service
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Service;
    /**
     * The BuildYear
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $BuildYear;
    /**
     * Constructor method for getVesselSummaryXMLString
     * @uses GetVesselSummaryXMLString::setVesselID()
     * @uses GetVesselSummaryXMLString::setVesselName()
     * @uses GetVesselSummaryXMLString::setCallSign()
     * @uses GetVesselSummaryXMLString::setVIN()
     * @uses GetVesselSummaryXMLString::setHIN()
     * @uses GetVesselSummaryXMLString::setFlag()
     * @uses GetVesselSummaryXMLString::setService()
     * @uses GetVesselSummaryXMLString::setBuildYear()
     * @param string $vesselID
     * @param string $vesselName
     * @param string $callSign
     * @param string $vIN
     * @param string $hIN
     * @param string $flag
     * @param string $service
     * @param string $buildYear
     */
    public function __construct($vesselID = null, $vesselName = null, $callSign = null, $vIN = null, $hIN = null, $flag = null, $service = null, $buildYear = null)
    {
        $this
            ->setVesselID($vesselID)
            ->setVesselName($vesselName)
            ->setCallSign($callSign)
            ->setVIN($vIN)
            ->setHIN($hIN)
            ->setFlag($flag)
            ->setService($service)
            ->setBuildYear($buildYear);
    }
    /**
     * Get VesselID value
     * @return string|null
     */
    public function getVesselID()
    {
        return $this->VesselID;
    }
    /**
     * Set VesselID value
     * @param string $vesselID
     * @return \StructType\GetVesselSummaryXMLString
     */
    public function setVesselID($vesselID = null)
    {
        // validation for constraint: string
        if (!is_null($vesselID) && !is_string($vesselID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vesselID, true), gettype($vesselID)), __LINE__);
        }
        $this->VesselID = $vesselID;
        return $this;
    }
    /**
     * Get VesselName value
     * @return string|null
     */
    public function getVesselName()
    {
        return $this->VesselName;
    }
    /**
     * Set VesselName value
     * @param string $vesselName
     * @return \StructType\GetVesselSummaryXMLString
     */
    public function setVesselName($vesselName = null)
    {
        // validation for constraint: string
        if (!is_null($vesselName) && !is_string($vesselName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vesselName, true), gettype($vesselName)), __LINE__);
        }
        $this->VesselName = $vesselName;
        return $this;
    }
    /**
     * Get CallSign value
     * @return string|null
     */
    public function getCallSign()
    {
        return $this->CallSign;
    }
    /**
     * Set CallSign value
     * @param string $callSign
     * @return \StructType\GetVesselSummaryXMLString
     */
    public function setCallSign($callSign = null)
    {
        // validation for constraint: string
        if (!is_null($callSign) && !is_string($callSign)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($callSign, true), gettype($callSign)), __LINE__);
        }
        $this->CallSign = $callSign;
        return $this;
    }
    /**
     * Get VIN value
     * @return string|null
     */
    public function getVIN()
    {
        return $this->VIN;
    }
    /**
     * Set VIN value
     * @param string $vIN
     * @return \StructType\GetVesselSummaryXMLString
     */
    public function setVIN($vIN = null)
    {
        // validation for constraint: string
        if (!is_null($vIN) && !is_string($vIN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vIN, true), gettype($vIN)), __LINE__);
        }
        $this->VIN = $vIN;
        return $this;
    }
    /**
     * Get HIN value
     * @return string|null
     */
    public function getHIN()
    {
        return $this->HIN;
    }
    /**
     * Set HIN value
     * @param string $hIN
     * @return \StructType\GetVesselSummaryXMLString
     */
    public function setHIN($hIN = null)
    {
        // validation for constraint: string
        if (!is_null($hIN) && !is_string($hIN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($hIN, true), gettype($hIN)), __LINE__);
        }
        $this->HIN = $hIN;
        return $this;
    }
    /**
     * Get Flag value
     * @return string|null
     */
    public function getFlag()
    {
        return $this->Flag;
    }
    /**
     * Set Flag value
     * @param string $flag
     * @return \StructType\GetVesselSummaryXMLString
     */
    public function setFlag($flag = null)
    {
        // validation for constraint: string
        if (!is_null($flag) && !is_string($flag)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($flag, true), gettype($flag)), __LINE__);
        }
        $this->Flag = $flag;
        return $this;
    }
    /**
     * Get Service value
     * @return string|null
     */
    public function getService()
    {
        return $this->Service;
    }
    /**
     * Set Service value
     * @param string $service
     * @return \StructType\GetVesselSummaryXMLString
     */
    public function setService($service = null)
    {
        // validation for constraint: string
        if (!is_null($service) && !is_string($service)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($service, true), gettype($service)), __LINE__);
        }
        $this->Service = $service;
        return $this;
    }
    /**
     * Get BuildYear value
     * @return string|null
     */
    public function getBuildYear()
    {
        return $this->BuildYear;
    }
    /**
     * Set BuildYear value
     * @param string $buildYear
     * @return \StructType\GetVesselSummaryXMLString
     */
    public function setBuildYear($buildYear = null)
    {
        // validation for constraint: string
        if (!is_null($buildYear) && !is_string($buildYear)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($buildYear, true), gettype($buildYear)), __LINE__);
        }
        $this->BuildYear = $buildYear;
        return $this;
    }
}
